petsc-3.4.2 2013-07-02

# SNESGetPC

Returns a pointer to the nonlinear preconditioning context set with SNESSetPC().

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetPC(SNES snes, SNES *pc)

Not Collective

### Input Parameter

snes -iterative context obtained from SNESCreate()

### Output Parameter

pc -preconditioner context

### Keywords

SNES, get, preconditioner

### See Also

SNESSetPC()

Level:developer
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex35.c.html